<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.base.mapper.CodeMapper">

  <resultMap id="codeMap" type="com.tofly.base.entity.Code">
                  <id property="id" column="ID"/>
                 <result property="key" column="KEY"/>
                <result property="value" column="VALUE"/>
                <result property="notes" column="NOTES"/>
                <result property="ulevel" column="ULEVEL"/>
                <result property="sort" column="SORT"/>
                <result property="createTime" column="CREATE_TIME"/>
                <result property="createUser" column="CREATE_USER"/>
            </resultMap>

    <select id="getListCode" resultMap="codeMap" parameterType="java.lang.String" databaseId="oracle">
        select * from tf_smpn_code_x where value =#{value}
    </select>

</mapper>
